Summary:        Command line tool that displays bandwidth usage on an interface
Name:           iftop
Version:        1.0pre4
Release:        1%{?dist}

License:        GPL-2.0-or-later AND BSD-4-Clause-UC
URL:            http://www.ex-parrot.com/~pdw/%{name}/
Source0:        http://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}.tar.gz


Patch0001:      iftop-1.0-ncursesw.patch
Patch0002:      iftop-1.0-git20181003.patch
Patch0003:      iftop-1.0-gcc10.patch
Patch0004:      iftop-configure-c99.patch


BuildRequires:  gcc, make, ncurses-devel, libpcap-devel

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
%setup -q -n %{name}-%{version}
%patch 0001 -p1 -b .ncursesw
touch -c -r configure.ac{.ncursesw,}
%patch 0002 -p1 -b .git20181003
%patch 0003 -p1 -b .gcc10
%patch 0004 -p1 -b .c99

touch -r aclocal.m4 configure*

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Thu Mar 28 2024 wynnfeng <wynnfeng@tencent.com> - 1.0pre4-1
- Initial build
